From: "Michael Sterrett (mr_bones_)" <mr_bones_@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] gentoo-x86 commit in games-fps/aaquake2: aaquake2-0.1.ebuild ChangeLog
Date: Wed, 25 Mar 2015 17:23:51 +0000 (UTC) [thread overview]
Message-ID: <20150325172353.A7A281484C@oystercatcher.gentoo.org> (raw)
mr_bones_ 15/03/25 17:23:51
Modified: aaquake2-0.1.ebuild ChangeLog
Log:
EAPI=5; work with newer versions of patch (bug #544480)
(Portage version: 2.2.14/cvs/Linux x86_64, unsigned Manifest commit)
Revision Changes Path
1.14 games-fps/aaquake2/aaquake2-0.1.ebuild
file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/games-fps/aaquake2/aaquake2-0.1.ebuild?rev=1.14&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/games-fps/aaquake2/aaquake2-0.1.ebuild?rev=1.14&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/games-fps/aaquake2/aaquake2-0.1.ebuild?r1=1.13&r2=1.14
Index: aaquake2-0.1.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/games-fps/aaquake2/aaquake2-0.1.ebuild,v
retrieving revision 1.13
retrieving revision 1.14
diff -u -r1.13 -r1.14
--- aaquake2-0.1.ebuild 13 Oct 2010 21:23:33 -0000 1.13
+++ aaquake2-0.1.ebuild 25 Mar 2015 17:23:51 -0000 1.14
@@ -1,8 +1,8 @@
-# Copyright 1999-2010 Gentoo Foundation
+# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/games-fps/aaquake2/aaquake2-0.1.ebuild,v 1.13 2010/10/13 21:23:33 mr_bones_ Exp $
+# $Header: /var/cvsroot/gentoo-x86/games-fps/aaquake2/aaquake2-0.1.ebuild,v 1.14 2015/03/25 17:23:51 mr_bones_ Exp $
-EAPI=2
+EAPI=5
inherit eutils games
DESCRIPTION="text mode Quake II"
@@ -22,43 +22,42 @@
S=${WORKDIR}/quake2-3.21/linux
src_prepare() {
- epatch \
+ cd .. && epatch \
"${FILESDIR}"/${PV}-gentoo.patch \
+ "${FILESDIR}"/${P}-gcc41.patch
+ cd "${S}" && epatch \
"${FILESDIR}"/${P}-glibc.patch \
- "${FILESDIR}"/${P}-gcc41.patch \
"${FILESDIR}"/${P}-ldflags.patch
sed -i \
- -e "s:GENTOO_DIR:$(games_get_libdir)/${PN}:" sys_linux.c \
- || die "sed failed"
+ -e "s:GENTOO_DIR:$(games_get_libdir)/${PN}:" sys_linux.c || die
sed -i \
-e "s:/etc/quake2.conf:${GAMES_SYSCONFDIR}/${PN}.conf:" \
- sys_linux.c vid_so.c \
- || die "sed failed"
+ sys_linux.c vid_so.c || die
}
src_compile() {
mkdir -p releasei386-glibc/ref_soft
- make \
+ emake -j1 \
GENTOO_CFLAGS="${CFLAGS}" \
GENTOO_DATADIR="${GAMES_DATADIR}"/quake2/baseq2/ \
- build_release || die
+ build_release
}
src_install() {
- cd release*
+ cd release* || die
exeinto "$(games_get_libdir)"/${PN}
- doexe gamei386.so ref_softaa.so || die "doexe failed"
+ doexe gamei386.so ref_softaa.so
dosym ref_softaa.so "$(games_get_libdir)"/${PN}/ref_softx.so
dosym ref_softaa.so "$(games_get_libdir)"/${PN}/ref_soft.so
exeinto "$(games_get_libdir)"/${PN}/ctf
- doexe ctf/gamei386.so || die "doexe failed"
+ doexe ctf/gamei386.so
- newgamesbin quake2 aaquake2 || die "newgamesbin failed"
+ newgamesbin quake2 aaquake2
insinto "${GAMES_SYSCONFDIR}"
echo "$(games_get_libdir)"/${PN} > ${PN}.conf
- doins ${PN}.conf || die "doins failed"
+ doins ${PN}.conf
prepgamesdirs
}
1.10 games-fps/aaquake2/ChangeLog
file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/games-fps/aaquake2/ChangeLog?rev=1.10&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/games-fps/aaquake2/ChangeLog?rev=1.10&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/games-fps/aaquake2/ChangeLog?r1=1.9&r2=1.10
Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/games-fps/aaquake2/ChangeLog,v
retrieving revision 1.9
retrieving revision 1.10
diff -u -r1.9 -r1.10
--- ChangeLog 21 Sep 2010 09:11:01 -0000 1.9
+++ ChangeLog 25 Mar 2015 17:23:51 -0000 1.10
@@ -1,6 +1,11 @@
# ChangeLog for games-fps/aaquake2
-# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/games-fps/aaquake2/ChangeLog,v 1.9 2010/09/21 09:11:01 tupone Exp $
+# Copyright 1999-2015 Gentoo Foundation; Distributed under the GPL v2
+# $Header: /var/cvsroot/gentoo-x86/games-fps/aaquake2/ChangeLog,v 1.10 2015/03/25 17:23:51 mr_bones_ Exp $
+
+ 25 Mar 2015; Michael Sterrett <mr_bones_@gentoo.org> aaquake2-0.1.ebuild,
+ files/0.1-gentoo.patch, files/aaquake2-0.1-gcc41.patch,
+ files/aaquake2-0.1-glibc.patch, files/aaquake2-0.1-ldflags.patch:
+ EAPI=5; work with newer versions of patch (bug #544480)
21 Sep 2010; Tupone Alfredo <tupone@gentoo.org> files/0.1-gentoo.patch,
aaquake2-0.1.ebuild, files/aaquake2-0.1-gcc41.patch,
next reply other threads:[~2015-03-25 17:24 UTC|newest]
Thread overview: 3+ messages / expand[flat|nested] mbox.gz Atom feed top
2015-03-25 17:23 Michael Sterrett (mr_bones_) [this message]
-- strict thread matches above, loose matches on Subject: below --
2010-09-21 9:11 [gentoo-commits] gentoo-x86 commit in games-fps/aaquake2: aaquake2-0.1.ebuild ChangeLog Alfredo Tupone (tupone)
2008-03-18 22:41 Alfredo Tupone (tupone)
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=20150325172353.A7A281484C@oystercatcher.gentoo.org \
--to=mr_bones_@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox